<?php
$host = 'localhost'; 
$database = 'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Ejemplos\Ejemplos.fdb';
/* $database = 'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Ejemplos\Ejemplos.fdb'; */
$username = 'SYSDBA'; 
$password = 'masterkey'; 

try {
    $dbh = new PDO("firebird:host=$host;dbname=$database;charset=UTF8", $username, $password);
    $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    $stmt = $dbh->query("SELECT CVE_ALM, DESCR FROM ALMACENES01");


    $almacenes = array();
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        $almacenes[] = $row;
    }

    echo json_encode($almacenes);
} catch (PDOException $e) {
    echo json_encode(['error' => $e->getMessage()]);
}
?>
